Watcher.Event.EventType (ZooKeeper 3.4.10 API)
Date: 2017-03-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.zookeeper
Enum Watcher.Event.EventType

    java.lang.Object
      java.lang.Enum<Watcher.Event.EventType>
          org.apache.zookeeper.Watcher.Event.EventType

All Implemented Interfaces:
  Serializable, Comparable<Watcher.Event.EventType>

Enclosing interface:
  Watcher.Event

    public static enum Watcher.Event.EventType

extends Enum<Watcher.Event.EventType>

Enumeration of types of events that may occur on the ZooKeeper

Enum Constant Summary
`NodeChildrenChanged`
`NodeCreated`
`NodeDataChanged`
`NodeDeleted`
`None`

Method Summary
`static Watcher.Event.EventType` | `fromInt(int intValue)`
`int` | `getIntValue()`
`static Watcher.Event.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Watcher.Event.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final Watcher.Event.EventType None

### NodeCreated

    public static final Watcher.Event.EventType NodeCreated

### NodeDeleted

    public static final Watcher.Event.EventType NodeDeleted

### NodeDataChanged

    public static final Watcher.Event.EventType NodeDataChanged

### NodeChildrenChanged

    public static final Watcher.Event.EventType NodeChildrenChanged

Method Detail

### values

    public static Watcher.Event.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Watcher.Event.EventType c : Watcher.Event.EventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Watcher.Event.EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getIntValue

    public int getIntValue()

### fromInt

    public static Watcher.Event.EventType fromInt(int intValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2017 The Apache Software Foundation